<?xml version="1.0" encoding="UTF-8"?>
<persistence version="2.2" xmlns="http://xmlns.jcp.org/xml/ns/persistence" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/persistence http://xmlns.jcp.org/xml/ns/persistence/persistence_2_2.xsd">
	<persistence-unit name="formationjpa" transaction-type="RESOURCE_LOCAL">
	   <provider>org.hibernate.jpa.HibernatePersistenceProvider</provider>
	   <!-- Ajouter les classes à persister-->
	   
<!-- 	  <class>fr.dawan.formationjpa.entities.Personne</class> -->
<!-- 	  <class>fr.dawan.formationjpa.entities.Nation</class> -->
	   <properties>
	       <!-- Connection à la base de données-->
	       <property name="javax.persistence.jdbc.url" value="jdbc:mysql://localhost:3306/formationjpa"/>
	       <property name="javax.persistence.jdbc.driver" value="com.mysql.cj.jdbc.Driver"/>
	       <property name="javax.persistence.jdbc.user" value="root"/>
	       <property name="javax.persistence.jdbc.password" value=""/>
	       <property name="javax.persistence.lock.timeout" value="1000"/>
	       
	       <!--Configuration de l'ORM -->
	       <property name="hibernate.hbm2ddl.auto" value="update"/>
	       <property name="hibernate.dialect" value="org.hibernate.dialect.MySQL8Dialect"/>
	       <property name="hibernate.show_sql" value="true" />
	       <property name="hibernate.format_sql" value="true" />
	   </properties>

	</persistence-unit>
</persistence>
